Group: Communications
# does not fit here
#define _localstatedir %{_var}
Name:		ax25-apps
Version:	1.0.5
Release:	alt1_9
Summary:	AX.25 ham radio applications

#ax25ipd is BSD licensed, rest is GPLv2+
License:	GPLv2+ and BSD
URL:		http://ax25.sourceforge.net/

Source0:	http://downloads.sourceforge.net/ax25/%{name}-%{version}%{?pre:-%{pre}}.tar.gz
Source1:	LICENSE

#listen and call are too generic names, rename to axlisten and axcall in all instances, thanks debian maintainers
Patch0:		ax25-apps-0.0.6-nongenericnames.patch
# Patch1:	%%{name}-%%{version}-configure.in.patch
#Patch2:		%{name}-0.0.6-Makefile.am.patch
Patch3:		ax25-apps-ax25rtd-config_c.patch
Patch4:         ax25-apps-unix98.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libax25-devel
BuildRequires:	libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info


%description

This package provides specific user applications for hamradio that use AX.25 
Net/ROM or ROSE network protocols:

 * axcall: a general purpose AX.25, NET/ROM and ROSE connection program.
 * axlisten: a network monitor of all AX.25 traffic heard by the system.
 * ax25ipd: an RFC1226 compliant daemon which provides encapsulation of
   AX.25 traffic over IP.
 * ax25mond: retransmits data received from sockets into an AX.25 monitor
   socket.


%prep
%setup -q %{?pre:-n %{name}-%{version}-%{pre}}
%patch0 -p1
%patch3 -p1


%build
#the patch requires rebuilding of makefiles and such
#libtoolize
#aclocal; autoconf; automake --add-missing
autoreconf -if
%configure
%make_build


%install
%makeinstall_std

#Install BSD License text
install -p -D -m 0644 %{SOURCE1} .

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_docdir}/ax25apps

# Fix the encoding on the doc files to be UTF-8
recode()
{
	iconv -f "$2" -t utf-8 < "$1" > "${1}_"
	mv -f "${1}_" "$1"
}
recode AUTHORS iso-8859-15


%files
%doc AUTHORS ChangeLog COPYING README LICENSE
%doc doc/*
%{_bindir}/*
%{_sbindir}/*
%{_localstatedir}/ax25/ax25rtd/
%{_mandir}/man?/*


%changelog
* Wed Mar 13 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_9
- update to new release by fcimport

* Tue Dec 29 2015 Cronbuild Service <cronbuild@altlinux.org> 0.0.6-alt3_20
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_20
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_19
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_18
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_17
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_13
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_12
- update to new release by fcimport

* Wed Aug 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_11
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt2_9
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_9
- converted for Sisyphus

